Scriptel ScripTouch ProScript C Library This documentation contains information about the ScripTouch ProScript C Library.

Data Fields
scriptel_hid_feature_screen Struct Reference

Structure that can be used to get or set a screen on the device. More...

`#include <scriptel-hid-reports.h>`

## Data Fields
unsigned char | report_id
| Report ID, should always be SCRIPTEL_FEATURE_SCREEN.
unsigned char | screen_number
| Index of the screen these variables represent.
unsigned char | reset_timeout_on_activity
| Resets the screen timeout if screen is interacted with.
unsigned char | reserved_1
| Reserved for future use.
unsigned char | reserved_2
| Reserved for future use.
unsigned char | reserved_3
| Reserved for future use.
unsigned char | reserved_4
| Reserved for future use.
unsigned char | reserved_5
| Reserved for future use.
unsigned char | reserved_6
| Reserved for future use.
unsigned char | reserved_7
| Reserved for future use.
unsigned char | reserved_8
| Reserved for future use.
unsigned char | reserved_9
| Reserved for future use.
unsigned char | reserved_10
| Reserved for future use.
unsigned char | reserved_11
| Reserved for future use.
unsigned char | reserved_12
| Reserved for future use.
unsigned char | reserved_13
| Reserved for future use.
unsigned char | reserved_14
| Reserved for future use.
unsigned char | timeout
| The timeout in seconds for this screen. More...
unsigned char | timeout_screen_next
| The screen index that the device moves to when this screen times out. More...
unsigned char | region_count
| Number of regions on this screen.
unsigned char | region_list [100]
| List of regions featured on this screen in draw order.
unsigned char | screen_next_list [100]
| Corresponds to region_list, determines the next screen for each region interaction. More...

## Detailed Description

Structure that can be used to get or set a screen on the device.

Getting a screen is based off the screen index.

Examples
  example-screen-editing.c.

## Field Documentation

## ◆ screen_next_list

unsigned char screen_next_list[100]

Corresponds to region_list, determines the next screen for each region interaction.

Use 0xFF to do nothing.

Examples
  example-screen-editing.c.

## ◆ timeout

unsigned char timeout

The timeout in seconds for this screen.

If 0, screen never times out.

## ◆ timeout_screen_next

unsigned char timeout_screen_next

The screen index that the device moves to when this screen times out.

Use 0xFF to do nothing.

Examples
  example-screen-editing.c.

The documentation for this struct was generated from the following file:

- src/scriptel-hid-reports.h